---
title: "List Rapyd Verify Application Types"
source_url: https://docs.rapyd.net/en/list-rapyd-verify-application-types.html
lang: en
---

# List Rapyd Verify Application Types

List types of identity verification applications by country.

### Parameters

### Request Path Parameters

- - country
  - Two-letter ISO 3166-1 ALPHA-2 code for the country.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - application_type
  - Code for the type of application. String starting with **typ_**.
- - country
  - The country where the company is domiciled. Two-letter ISO 3166-1 ALPHA-2 code. The hosted application displays the country as the default setting.
- - entity_type
  - Type of business entity.

    - **Partnership**
    - **Sole Proprietor**
    - **Private Limited Company**
    - **Charity or NPO**
    - **Individual**

- /v1/verify/applications/types/country/:country

- List Rapyd Verify Application Types
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/verify/applications/types/country/FR' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "c6fde85b-6d7d-4fb6-8cd6-5065d2a54aee"
      },
      "data": [
          {
              "application_type": "typ_WyJGUiIsMiwwLCJQcml2YXRlIExpbWl0ZWQgQ29tcGFueSJd",
              "entity_type": "Private Limited Company",
              "country": "FR"
          },
          {
              "application_type": "typ_WyJGUiIsMiwwLCJQYXJ0bmVyc2hpcCJd",
              "entity_type": "Partnership",
              "country": "FR"
          },
          {
              "application_type": "typ_WyJGUiIsMiwwLCJTb2xlIFByb3ByaWV0b3IiXQ==",
              "entity_type": "Sole Proprietor",
              "country": "FR"
          },
          {
              "application_type": "typ_WyJGUiIsMiwwLCJDaGFyaXR5IG9yIE5QTyJd",
              "entity_type": "Charity or NPO",
              "country": "FR"
          },
          {
              "application_type": "typ_WyJGUiIsMiwwLCJQdWJsaWMgTGlzdGVkIENvbXBhbnkiXQ==",
              "entity_type": "Public Listed Company",
              "country": "FR"
          },
          {
              "application_type": "typ_WyJGUiIsMiwwLCJHb3Zlcm5tZW50IEVudGl0eSJd",
              "entity_type": "Government Entity",
              "country": "FR"
          }
      ]
  }
  ```

- Bad Request - Country Not Found
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/verify/applications/types/country/Spain' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "INVALID_COUNTRY",
          "status": "ERROR",
          "message": "Please contact Rapyd Client Support.",
          "response_code": "INVALID_COUNTRY",
          "operation_id": "2fc1bac4-62f0-42b6-b4a8-382bed483211"
      }
  }
  ```
